# Uses of Interface
java.lang.classfile.attribute.CharacterRangeInfo

Packages that use CharacterRangeInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

- ## Uses of CharacterRangeInfo in java.lang.classfile.attribute

  Methods in java.lang.classfile.attribute that return CharacterRangeInfo
  Modifier and Type
  Method
  Description
  `static CharacterRangeInfo`
  CharacterRangeInfo.`of(int startPc, int endPc, int characterRangeStart, int characterRangeEnd, int flags)`
  Returns a character range entry.
  Methods in java.lang.classfile.attribute that return types with arguments of type CharacterRangeInfo
  Modifier and Type
  Method
  Description
  `List<CharacterRangeInfo>`
  CharacterRangeTableAttribute.`characterRangeTable()`
  Returns the entries of the character range table.
  Method parameters in java.lang.classfile.attribute with type arguments of type CharacterRangeInfo
  Modifier and Type
  Method
  Description
  `static CharacterRangeTableAttribute`
  CharacterRangeTableAttribute.`of(List<CharacterRangeInfo> ranges)`
  Returns a `CharacterRangeTable` attribute.